
ISSUE-id - Bug #2333

There is a '404' error when copy an issue.

25 Sep 2014 04:41 - stephen r

Status: Closed Start date: 25 Sep 2014

Priority: Normal Due date: 01 Dec 2017

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version:  External issue:  

Description

Log:

Started GET "/redmine/projects/sd-daily/issues/SDAILY-20/copy" for 127.0.0.1 at 2014-09-25 12:37:5

4 +0800

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"sd-daily", "copy_from"=>"SDAILY-20"}

  Current user: stephen.ruan (id=3)

  Rendered common/error.html.erb within layouts/base (0.0ms)

  Rendered plugins/author/app/views/author/_profile.html.erb (0.0ms)

  Rendered plugins/subscription/app/views/subscribe/_sidebar.html.erb (0.0ms)

Filter chain halted as :build_new_issue_from_params rendered or redirected

Completed 404 Not Found in 109.2ms (Views: 78.0ms | ActiveRecord: 15.6ms)

Associated revisions

Revision 29 - 01 Dec 2017 11:14 - Andriy Lesyuk

Fixes for copying issues and projects (closes #ISSUE-6)

History

#1 - 06 Feb 2015 18:48 - Mateusz Zająkała

I experience the same on redmine 2.5.2.stable.

Any chance of new version of plugin and fixing this?

#2 - 19 Jul 2016 15:00 - Mikhail Voronyuk

Fixed in this fork

https://github.com/VoronyukM/issue_id

#3 - 28 Aug 2016 17:11 - Andriy Lesyuk

- Subject changed from there is a '404' error when copy an issue. to There is a '404' error when copy an issue.

- Status changed from New to Open

- Target version set to 0.0.2

#4 - 14 Nov 2016 09:16 - Andriy Lesyuk

A user reported, that the following error occurs, when a project is copied (including its issues):

Started POST "/projects/templateproject/copy" for ***.***.***.** at 2016-11-14 16:43:17 +0800

Processing by ProjectsController#copy as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"q8itCbOTx4nLsJZxISEua+Y0qpqn62oaL0jgO6151OhpUjMXCuCvdT3fP5B

jhmdi0juZmUpu3QyLstbp8aSW/Q==", "project"=>{"name"=>"Test Copy Project", "description"=>"This project will be 

used as a template for the new ones", "identifier"=>"test-copy-project", "issue_key"=>"TESTCOPYPR", "homepage"
=>"", "is_public"=>"0", "parent_id"=>"", "inherit_members"=>"0", "enabled_module_names"=>["issue_tracking", ""

], "tracker_ids"=>["1", "4", "5", ""], "issue_custom_field_ids"=>["1", "2", "3", "4", ""]}, "only"=>["members"

, "versions", "issue_categories", "issues", "queries", "boards", "wiki", ""], "commit"=>"Copy", "id"=>"templat

eproject"}

  Current user: eduardo.paz (id=1)

Project#copy_issues: issue #1 could not be copied: ["Issue number has already been taken"]

Project#copy_issues: issue #2 could not be copied: ["Issue number has already been taken"]

Project#copy_issues: issue #3 could not be copied: ["Issue number has already been taken"]

Project#copy_issues: issue #4 could not be copied: ["Issue number has already been taken"]

Project#copy_issues: issue #5 could not be copied: ["Issue number has already been taken"]

Redirected to http://*******.**************.com:8080/projects/test-copy-project/settings

Completed 302 Found in 295ms (ActiveRecord: 84.2ms)

Started GET "/projects/test-copy-project/settings" for ***.***.***.** at 2016-11-14 16:43:17 +0800

Processing by ProjectsController#settings as HTML

  Parameters: {"id"=>"test-copy-project"}

  Current user: ******** (id=1)

  Rendered plugins/issue_id/app/views/projects/_key.html.erb (0.2ms)

  Rendered projects/_form.html.erb (18.6ms)

  Rendered projects/_edit.html.erb (19.3ms)

  Rendered projects/settings/_modules.html.erb (2.5ms)

  Rendered projects/settings/_members.html.erb (11.2ms)

  Rendered projects/settings/_versions.html.erb (6.2ms)

  Rendered projects/settings/_issue_categories.html.erb (6.7ms)

  Rendered common/_tabs.html.erb (47.8ms)

  Rendered projects/settings.html.erb within layouts/base (48.2ms)

  Rendered plugins/a_common_libs/app/views/hooks/a_common_libs/_html_head.html.erb (0.6ms)

Completed 200 OK in 75ms (Views: 37.0ms | ActiveRecord: 30.5ms)

 

Looks to be related.

#5 - 29 Nov 2017 15:28 - Andriy Lesyuk

- Description updated

#6 - 30 Nov 2017 19:44 - Andriy Lesyuk

- Status changed from Open to In Progress

#7 - 01 Dec 2017 11:14 - Andriy Lesyuk
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r29.

#8 - 01 Dec 2017 11:16 - Andriy Lesyuk

- Due date set to 01 Dec 2017
